# Uses of Interface
org.opensaml.xacml.ctx.AttributeValueType

Packages that use AttributeValueType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of AttributeValueType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return types with arguments of type AttributeValueType
Modifier and Type
Method
Description
`List<AttributeValueType>`
AttributeType.`getAttributeValues()`
Gets the list of attribute values for this attribute.
`List<AttributeValueType>`
MissingAttributeDetailType.`getAttributeValues()`
Gets the missing attribute values.

## Uses of AttributeValueType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement AttributeValueType
Modifier and Type
Class
Description
`class`
`AttributeValueTypeImpl`
Concrete implementation of `AttributeValueType`.
Fields in org.opensaml.xacml.ctx.impl with type parameters of type AttributeValueType
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AttributeValueType>`
AttributeTypeImpl.`attributeValues`
List of values for this attribute.
`private XMLObjectChildrenList<AttributeValueType>`
MissingAttributeDetailTypeImpl.`attributeValues`
Lists of the attribute values in details.
Methods in org.opensaml.xacml.ctx.impl that return AttributeValueType
Modifier and Type
Method
Description
`AttributeValueType`
AttributeValueTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`AttributeValueType`
AttributeValueTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.ctx.impl that return types with arguments of type AttributeValueType
Modifier and Type
Method
Description
`List<AttributeValueType>`
AttributeTypeImpl.`getAttributeValues()`
Gets the list of attribute values for this attribute.
`List<AttributeValueType>`
MissingAttributeDetailTypeImpl.`getAttributeValues()`
Gets the missing attribute values.